<?php
/**
* Converts the parsing result to wddx
* @author		Ulf Wendel <ulf@redsys.de>
* @version 	0.1alpa
* @since		0.2alpha
*/
class PhpdocWddxExporter extends PhpdocExporterObject {

	/**
	* Exports the parsed data as a wddx file
	* @throws  	runtime
	*/
	function export() {
		if (!function_exists("wddx_serialize_vars")) {
			$this->err = new exception_runtime("Your PHP does not support wddx. Please referr to the PHP documentation", 3, __FILE__, __LINE__, $this->AUTO_HANDLE_ERRORS);
			return false;
		}
		
		// for PHP3 compatibility don't use references
		$classTree 							= $this->classTree;
		$classnamesToFilenames	=	$this->classnamesToFilenames;
		$classes								= $this->classes;

    $this->outl("  wddx_serialize_vars() starts...");
		$this->result = wddx_serialize_vars("classTree", "classnamesToFilenames", "classes");
    $this->outl("  wddx_serialize_vars() finished...");
    
    $this->saveResult();
		
		return true;
	}	// end func export
	
} // end PhpdocExporterObject
?>