<?php
/**
* @author		Ulf Wendel	<ulf@redsys.de>
* @version	0.1alpha
*/
class PhpdocIndexer extends PhpdocIndexerObject {

	/**
	* Initialize the object by calling the parents constructor
	* @brother	PhpdocIndexerObject
	*/
	function PhpdocIndexer($application, $packages, $flagOutput = false) {
		$this->PhpdocIndexerObject($application, $packages, $flagOutput);	
	} // end constructor
	
	function index() {
		reset($this->packages);
		while (list($packagename, $data)=each($this->packages)) {
			$this->outl("   ... working on package '$packagename'");
			
			$this->buildClassTreeIndex($packagename);
			
			$this->outl("   ... package finished.");
		}
	} // end func index
	
	function buildClassTreeIndex($packagename) {
		
		$this->outl("      ... building classtree");
		
		$this->result[$packagename]["classTree"] = $this->emptyClassTree;
		if (true == $this->packages[$packagename]["empty"]) {
			$this->result[$packagename]["classTree"]["empty"] = true;
			return;
		}
		
		$baseclasses 	= array();
		$subclasslist	= array();
		$classinfo		= array();
		#$this->introspection("class", $this->packages[$packagename]["classes"]);
		reset($this->packages[$packagename]["classTree"]);
		while (list($classname, $data)=each($this->packages[$packagename]["classTree"])) {
			
			$filename = $this->packages[$packagename]["classnamesToFilenames"][$classname];
			
			if ($data["base"]) {
				$baseclasses[] = array( 
																"classname" 	=> $classname
																#"subclasses"	=> (isset($data["subclasses"])) ? $data["subclasses"] : array()
															);
			} 
			
			if (isset($data["subclasses"])) 
				$subclasslist[$classname]=$data["subclasses"];
			
			$classinfo[$classname]["filename"] = $this->packages[$packagename]["classes"][$filename][$classname]["filename"];
			$classinfo[$classname]["version"] = $this->packages[$packagename]["classes"][$filename][$classname]["version"];
			$classinfo[$classname]["since"] = $this->packages[$packagename]["classes"][$filename][$classname]["since"];			
			
		}
		
		$this->result[$packagename]["classTree"] = array(
																											"baseclasses"		=> $baseclasses,
																											"subclasslist"	=> $subclasslist,
																											"classinfo"			=> $classinfo
																									);
		
	} // end func buildClassTreeIndex
	
} // end class PhpdocIndex
?>