<?php
/**
* Renders the index files
* @author		Ulf Wendel	<ulf@redsys.de>
* @version	0.1alpha
* @since		0.3alpa
*/
class PhpdocIndexRendererObject extends PhpdocRendererObject {
	
	/**
	* Resulkt of the indexer
	* @var	array	$indexer_result
	* @see	setIndexerResult()
	*/
	var $indexer_result = array();
	
	/**
	* Initialize the object with the data from the indexer
	* @param 	array 		$indexer_result
	* @param	boolean		flag_output
	* @see		indexer_result, setIndexerResult(), setFlagOutput()
	*/
	function PhpdocIndexRendererObject($indexer_result="", $flag_output=false) {
		$this->setIndexerResult($indexer_result);
		$this->setFlagOutput($flag_output);
	} // end constructor
	
	/**
	* Saves the result of the indexer in an instance variable
	* @param	array		$indexer_result
	* @return	boolean	$ok
	* @throws	runtime_wrongparam
	* @access	public
	* @see		indexer_result
	*/
	function setIndexerResult($indexer_result) {
		if (!is_array($indexer_result)) {
			$this->err = new exception_runtime_wrongparam("No indexer result given.", 1, __FILE__, __LINE__, $this->AUTO_HANDLE_ERRORS);
			return false;
		}
		
		$this->indexer_result = $indexer_result;
		return true;
	} // end func setIndexerResult
	
	
} // end class PhpdocIndexRendererObject
?>